﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace SamePageDifferentQueryRequest
{
    public partial class SamePageDifferentQueryRequest : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                string layers = Request.QueryString["layers"];
                string style = Request.QueryString["style"];
                string uri = Request.QueryString["uri"];

                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.StandardColors.White);
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WmsOverlay wms = new WmsOverlay("WMS Overlay");
                wms.Parameters.Add("layers", layers);
                wms.Parameters.Add("STYLE", style);
                wms.ServerUris.Add(new Uri(uri));
                wms.TileType = TileType.MultipleTile;
                wms.TileHeight = 256;
                wms.TileWidth = 256;

                Map1.CustomOverlays.Add(wms);
            }
        }
    }
}
